Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model
Interface VViewPackage.Literals

Enclosing interface:
  VViewPackage

    public static interface VViewPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `ATTACHMENT` The meta object literal for the '`Attachment`' class.
`static org.eclipse.emf.ecore.EClass` | `CONTAINED_CONTAINER` The meta object literal for the '`Contained Container`' class.
`static org.eclipse.emf.ecore.EClass` | `CONTAINED_ELEMENT` The meta object literal for the '`Contained Element`' class.
`static org.eclipse.emf.ecore.EClass` | `CONTAINER` The meta object literal for the '`Container`' class.
`static org.eclipse.emf.ecore.EReference` | `CONTAINER__CHILDREN` The meta object literal for the 'Children' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `CONTROL` The meta object literal for the '`Control`' class.
`static org.eclipse.emf.ecore.EReference` | `CONTROL__DOMAIN_MODEL_REFERENCE` The meta object literal for the 'Domain Model Reference' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL__LABEL_ALIGNMENT` The meta object literal for the 'Label Alignment' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `DIAGNOSTIC` The meta object literal for the '`Diagnostic`' class.
`static org.eclipse.emf.ecore.EAttribute` | `DIAGNOSTIC__DIAGNOSTICS` The meta object literal for the 'Diagnostics' attribute list feature.
`static org.eclipse.emf.ecore.EClass` | `DOMAIN_MODEL_REFERENCE` The meta object literal for the '`Domain Model Reference`' class.
`static org.eclipse.emf.ecore.EAttribute` | `DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER` The meta object literal for the 'Change Listener' attribute list feature.
`static org.eclipse.emf.ecore.EDataType` | `DOMAIN_MODEL_REFERENCE_CHANGE_LISTENER` The meta object literal for the 'Domain Model Reference Change Listener' data type.
`static org.eclipse.emf.ecore.EClass` | `ELEMENT` The meta object literal for the '`Element`' class.
`static org.eclipse.emf.ecore.EReference` | `ELEMENT__ATTACHMENTS` The meta object literal for the 'Attachments' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `ELEMENT__DIAGNOSTIC` The meta object literal for the 'Diagnostic' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `ELEMENT__ENABLED` The meta object literal for the 'Enabled' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ELEMENT__LABEL` The meta object literal for the 'Label' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ELEMENT__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ELEMENT__READONLY` The meta object literal for the 'Readonly' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ELEMENT__VISIBLE` The meta object literal for the 'Visible' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `FEATURE_PATH_DOMAIN_MODEL_REFERENCE` The meta object literal for the ' `Feature Path Domain Model Reference`' class.
`static org.eclipse.emf.ecore.EReference` | `FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE` The meta object literal for the 'Domain Model EFeature' reference feature.
`static org.eclipse.emf.ecore.EReference` | `FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH` The meta object literal for the 'Domain Model EReference Path' reference list feature.
`static org.eclipse.emf.ecore.EEnum` | `LABEL_ALIGNMENT` The meta object literal for the '`Label Alignment`' enum.
`static org.eclipse.emf.ecore.EClass` | `VIEW` The meta object literal for the '`View`' class.
`static org.eclipse.emf.ecore.EReference` | `VIEW__CHILDREN` The meta object literal for the 'Children' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `VIEW__ECORE_PATH` The meta object literal for the 'Ecore Path' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `VIEW__ROOT_ECLASS` The meta object literal for the 'Root EClass' reference feature.

Field Detail

### ELEMENT

    static final org.eclipse.emf.ecore.EClass ELEMENT

  The meta object literal for the '`Element`' class.

  See Also:
    `VElementImpl`, `VViewPackageImpl.getElement()`

### ELEMENT__NAME

    static final org.eclipse.emf.ecore.EAttribute ELEMENT__NAME

  The meta object literal for the 'Name' attribute feature.

### ELEMENT__LABEL

    static final org.eclipse.emf.ecore.EAttribute ELEMENT__LABEL

  The meta object literal for the 'Label' attribute feature.

  Since:
    1.6

### ELEMENT__VISIBLE

    static final org.eclipse.emf.ecore.EAttribute ELEMENT__VISIBLE

  The meta object literal for the 'Visible' attribute feature.

### ELEMENT__ENABLED

    static final org.eclipse.emf.ecore.EAttribute ELEMENT__ENABLED

  The meta object literal for the 'Enabled' attribute feature.

### ELEMENT__READONLY

    static final org.eclipse.emf.ecore.EAttribute ELEMENT__READONLY

  The meta object literal for the 'Readonly' attribute feature.

### ELEMENT__DIAGNOSTIC

    static final org.eclipse.emf.ecore.EReference ELEMENT__DIAGNOSTIC

  The meta object literal for the 'Diagnostic' containment reference feature.

### ELEMENT__ATTACHMENTS

    static final org.eclipse.emf.ecore.EReference ELEMENT__ATTACHMENTS

  The meta object literal for the 'Attachments' containment reference list feature.

### DIAGNOSTIC

    static final org.eclipse.emf.ecore.EClass DIAGNOSTIC

  The meta object literal for the '`Diagnostic`' class.

  See Also:
    `VDiagnosticImpl`, `VViewPackageImpl.getDiagnostic()`

### DIAGNOSTIC__DIAGNOSTICS

    static final org.eclipse.emf.ecore.EAttribute DIAGNOSTIC__DIAGNOSTICS

  The meta object literal for the 'Diagnostics' attribute list feature.

### VIEW

    static final org.eclipse.emf.ecore.EClass VIEW

  The meta object literal for the '`View`' class.

  See Also:
    `VViewImpl`, `VViewPackageImpl.getView()`

### VIEW__ROOT_ECLASS

    static final org.eclipse.emf.ecore.EReference VIEW__ROOT_ECLASS

  The meta object literal for the 'Root EClass' reference feature.

### VIEW__CHILDREN

    static final org.eclipse.emf.ecore.EReference VIEW__CHILDREN

  The meta object literal for the 'Children' containment reference list feature.

### VIEW__ECORE_PATH

    static final org.eclipse.emf.ecore.EAttribute VIEW__ECORE_PATH

  The meta object literal for the 'Ecore Path' attribute feature.

  Since:
    1.3

### CONTAINED_ELEMENT

    static final org.eclipse.emf.ecore.EClass CONTAINED_ELEMENT

  The meta object literal for the '`Contained Element`' class.

  See Also:
    `VContainedElementImpl`, `VViewPackageImpl.getContainedElement()`

### CONTROL

    static final org.eclipse.emf.ecore.EClass CONTROL

  The meta object literal for the '`Control`' class.

  See Also:
    `VControlImpl`, `VViewPackageImpl.getControl()`

### CONTROL__DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EReference CONTROL__DOMAIN_MODEL_REFERENCE

  The meta object literal for the 'Domain Model Reference' containment reference feature.

### CONTAINER

    static final org.eclipse.emf.ecore.EClass CONTAINER

  The meta object literal for the '`Container`' class.

  See Also:
    `VContainerImpl`, `VViewPackageImpl.getContainer()`

### CONTAINER__CHILDREN

    static final org.eclipse.emf.ecore.EReference CONTAINER__CHILDREN

  The meta object literal for the 'Children' containment reference list feature.

### CONTAINED_CONTAINER

    static final org.eclipse.emf.ecore.EClass CONTAINED_CONTAINER

  The meta object literal for the '`Contained Container`' class.

  Since:
    1.4
  See Also:
    `VContainedContainerImpl`, `VViewPackageImpl.getContainedContainer()`

### CONTROL__LABEL_ALIGNMENT

    static final org.eclipse.emf.ecore.EAttribute CONTROL__LABEL_ALIGNMENT

  The meta object literal for the 'Label Alignment' attribute feature.

### LABEL_ALIGNMENT

    static final org.eclipse.emf.ecore.EEnum LABEL_ALIGNMENT

  The meta object literal for the '`Label Alignment`' enum.

  See Also:
    `LabelAlignment`, `VViewPackageImpl.getLabelAlignment()`

### DOMAIN_MODEL_REFERENCE_CHANGE_LISTENER

    static final org.eclipse.emf.ecore.EDataType DOMAIN_MODEL_REFERENCE_CHANGE_LISTENER

  The meta object literal for the 'Domain Model Reference Change Listener' data type.

  Since:
    1.3
  See Also:
    `DomainModelReferenceChangeListener`, `VViewPackageImpl.getDomainModelReferenceChangeListener()`

### DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EClass DOMAIN_MODEL_REFERENCE

  The meta object literal for the '`Domain Model Reference`' class.

  See Also:
    `VDomainModelReference`, `VViewPackageImpl.getDomainModelReference()`

### DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

    static final org.eclipse.emf.ecore.EAttribute DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

  The meta object literal for the 'Change Listener' attribute list feature.

  Since:
    1.3

### FEATURE_PATH_DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EClass FEATURE_PATH_DOMAIN_MODEL_REFERENCE

  The meta object literal for the ' `Feature Path Domain Model Reference`' class.

  See Also:
    `VFeaturePathDomainModelReferenceImpl`, `VViewPackageImpl.getFeaturePathDomainModelReference()`

### FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE

    static final org.eclipse.emf.ecore.EReference FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE

  The meta object literal for the 'Domain Model EFeature' reference feature.

### FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH

    static final org.eclipse.emf.ecore.EReference FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH

  The meta object literal for the 'Domain Model EReference Path' reference list feature.

### ATTACHMENT

    static final org.eclipse.emf.ecore.EClass ATTACHMENT

  The meta object literal for the '`Attachment`' class.

  See Also:
    `VAttachmentImpl`, `VViewPackageImpl.getAttachment()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.